#include "defs.h"
#include "board.h"
#ifndef NULL
#define NULL 0
#endif
#define INVALID_HASH_KEY C64(0x1234567890ABCDEF)

typedef struct 
{
U64 hashkey;
U64 AllPieces;
int score;
int alpha;
int beta;
} evalEntry;

bool probeEvalCache(const board* pos, int *copy,int alpha,int beta);
void storeEvalCache(const board* pos,int score,int alpha,int beta);
void resetEvalCache(void);
void initEvalCache(void); //hardwired for now

//number of buckets
//let's try a prime
//#define EVAL_SIZE  7094807

#define EVAL_SIZE 37367839   
